"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const semver_1 = require("semver");
exports.getSemverTags = (version) => {
    const semver = semver_1.parse(version);
    if (!semver) {
        throw new Error(`'${version}' is not a valid semver`);
    }
    const { prerelease, major, minor, version: parsedVersion } = semver;
    return prerelease.length > 0
        ? [prerelease[0], parsedVersion]
        : ["latest", `${major}`, `${major}.${minor}`, parsedVersion];
};
