"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dependency_tree_1 = __importDefault(require("dependency-tree"));
const path_1 = __importDefault(require("path"));
exports.listModuleDependencies = (dir, module) => new Promise((resolve) => {
    const dependencies = dependency_tree_1.default
        .toList({
        directory: dir,
        filename: path_1.default.resolve(dir, module),
        filter: path => !path.includes("node_modules"),
    })
        .map(dependency => path_1.default.relative(dir, dependency));
    resolve(dependencies);
});
