"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const normalize_package_data_1 = __importDefault(require("normalize-package-data"));
const path_1 = require("path");
const util_1 = require("util");
const fs_1 = require("fs");
const readPkg = (dir) => __awaiter(void 0, void 0, void 0, function* () {
    const pkgJsonPath = path_1.join(dir, "package.json");
    const data = yield util_1.promisify(fs_1.readFile)(pkgJsonPath, "utf-8");
    const pkgJson = JSON.parse(data);
    normalize_package_data_1.default(pkgJson);
    return pkgJson;
});
exports.readPkg = readPkg;
const readPkgSync = (dir) => {
    const pkgJsonPath = path_1.join(dir, "package.json");
    const data = fs_1.readFileSync(pkgJsonPath, "utf-8");
    const pkgJson = JSON.parse(data);
    normalize_package_data_1.default(pkgJson);
    return pkgJson;
};
exports.readPkgSync = readPkgSync;
